### Hierarchy

- JenkinsJob

### Implements

- IJenkinsJob

## Index

### Constructors

- constructor

### Properties

- _class
- actions
- buildable
- builds
- color
- concurrentBuild
- description
- displayName
- displayNameOrNull
- downstreamProjects
- firstBuild
- fullDisplayName
- fullName
- healthReport
- inQueue
- jsonData
- keepDependencies
- lastBuild
- lastCompletedBuild
- lastFailedBuild
- lastStableBuild
- lastSuccessfulBuild
- lastUnstableBuild
- lastUnsuccessfulBuild
- modules
- name
- nextBuildNumber
- numberOfBuilds
- property
- queueItem
- scm
- upstreamProjects
- url

### Methods

- fromJson
- fromJsonString
- getJsonData

## Constructors

### constructor

- new JenkinsJob(): JenkinsJob

- - Defined in JenkinsJob.ts:43

  #### Returns JenkinsJob

## Properties

### _class

_class: string

Implementation of IJenkinsJob._class

- Defined in JenkinsJob.ts:10

### actions

actions: Array<any>

Implementation of IJenkinsJob.actions

- Defined in JenkinsJob.ts:37

### buildable

buildable: boolean

Implementation of IJenkinsJob.buildable

- Defined in JenkinsJob.ts:18

### builds

builds: Array<IJenkinsBuild>

Implementation of IJenkinsJob.builds

- Defined in JenkinsJob.ts:26

### color

color: string

Implementation of IJenkinsJob.color

- Defined in JenkinsJob.ts:17

### concurrentBuild

concurrentBuild: boolean

Implementation of IJenkinsJob.concurrentBuild

- Defined in JenkinsJob.ts:22

### description

description: string

Implementation of IJenkinsJob.description

- Defined in JenkinsJob.ts:16

### displayName

displayName: string

Implementation of IJenkinsJob.displayName

- Defined in JenkinsJob.ts:14

### displayNameOrNull

displayNameOrNull: string

Implementation of IJenkinsJob.displayNameOrNull

- Defined in JenkinsJob.ts:23

### downstreamProjects

downstreamProjects: Array<any>

Implementation of IJenkinsJob.downstreamProjects

- Defined in JenkinsJob.ts:40

### firstBuild

firstBuild: IJenkinsBuild

Implementation of IJenkinsJob.firstBuild

- Defined in JenkinsJob.ts:27

### fullDisplayName

fullDisplayName: string

Implementation of IJenkinsJob.fullDisplayName

- Defined in JenkinsJob.ts:15

### fullName

fullName: string

Implementation of IJenkinsJob.fullName

- Defined in JenkinsJob.ts:24

### healthReport

healthReport: Array<IJenkinsHealthReport>

Implementation of IJenkinsJob.healthReport

- Defined in JenkinsJob.ts:35

### inQueue

inQueue: boolean

Implementation of IJenkinsJob.inQueue

- Defined in JenkinsJob.ts:19

### jsonData

jsonData: JSON

- Defined in JenkinsJob.ts:8

### keepDependencies

keepDependencies: boolean

Implementation of IJenkinsJob.keepDependencies

- Defined in JenkinsJob.ts:20

### lastBuild

lastBuild: IJenkinsBuild

Implementation of IJenkinsJob.lastBuild

- Defined in JenkinsJob.ts:28

### lastCompletedBuild

lastCompletedBuild: IJenkinsBuild

Implementation of IJenkinsJob.lastCompletedBuild

- Defined in JenkinsJob.ts:29

### lastFailedBuild

lastFailedBuild: IJenkinsBuild

Implementation of IJenkinsJob.lastFailedBuild

- Defined in JenkinsJob.ts:30

### lastStableBuild

lastStableBuild: IJenkinsBuild

Implementation of IJenkinsJob.lastStableBuild

- Defined in JenkinsJob.ts:31

### lastSuccessfulBuild

lastSuccessfulBuild: IJenkinsBuild

Implementation of IJenkinsJob.lastSuccessfulBuild

- Defined in JenkinsJob.ts:32

### lastUnstableBuild

lastUnstableBuild: IJenkinsBuild

Implementation of IJenkinsJob.lastUnstableBuild

- Defined in JenkinsJob.ts:33

### lastUnsuccessfulBuild

lastUnsuccessfulBuild: IJenkinsBuild

Implementation of IJenkinsJob.lastUnsuccessfulBuild

- Defined in JenkinsJob.ts:34

### modules

modules: Array<any>

Implementation of IJenkinsJob.modules

- Defined in JenkinsJob.ts:43

### name

name: string

Implementation of IJenkinsJob.name

- Defined in JenkinsJob.ts:11

### nextBuildNumber

nextBuildNumber: number

Implementation of IJenkinsJob.nextBuildNumber

- Defined in JenkinsJob.ts:21

### numberOfBuilds

numberOfBuilds: number

Implementation of IJenkinsJob.numberOfBuilds

- Defined in JenkinsJob.ts:25

### property

property: Array<any>

Implementation of IJenkinsJob.property

- Defined in JenkinsJob.ts:38

### queueItem

queueItem: any

Implementation of IJenkinsJob.queueItem

- Defined in JenkinsJob.ts:39

### scm

scm: any

Implementation of IJenkinsJob.scm

- Defined in JenkinsJob.ts:42

### upstreamProjects

upstreamProjects: Array<any>

Implementation of IJenkinsJob.upstreamProjects

- Defined in JenkinsJob.ts:41

### url

url: string

Implementation of IJenkinsJob.url

- Defined in JenkinsJob.ts:12

## Methods

### fromJson

- fromJson(data: JSON): void

- Implementation of IJenkinsJob.fromJson

  - Defined in JenkinsJob.ts:66

  #### Parameters

  - ##### data: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- Implementation of IJenkinsJob.fromJsonString

  - Defined in JenkinsJob.ts:59

  #### Parameters

  - ##### json: string

  #### Returns void

### getJsonData

- getJsonData(): string

- Implementation of IJenkinsJob.getJsonData

  - Defined in JenkinsJob.ts:55

  #### Returns string

Generated using TypeDoc